Subject: Re: [PATCH] pull: refuse complete src:dst fetchspec arguments

From: Jeff King <[email-masked]>
Date: Fri, 23 Oct 2009 20:49:18 -0400

On Thu, Oct 22, 2009 at 11:43:05PM -0400, Daniel Barkalow wrote:

> > But probably that is an artifact of the workflow. The scenario I am
> > describing above implies a somewhat centralized workflow, where the
> > shorthand contains all of the interesting information. In a totally
> > distributed, we-don't-share-anything-except-the-url-namespace setup of
> > an open source repo, the full URL makes more sense.
> > 
> > So maybe it is something that should be optional.
> 
> Surely you ought to be able to get the short form with "pull", though, if 
> you happen to like short forms. So it would make sense to decide how to 
> format the merge message based entirely on an option, not at all on 
> whether you use pull or fetch+merge.

Yeah, I think you are right. It _should_ be variable, but right now it
varies on something totally unrelated to what you want (how you invoked,
and not what type of repo setup you are using). So I agree a patch to
make it more consistent across fetch+merge versus pull would be good,
and then we can make a configuration option to choose one or the other.

-Peff